<template>
  <div class="d-flex flex-grow-1 flex-column">
    <div class="info-table-item text-center">{{ hour }}</div>
    <div class="info-table-item text-center">{{ temperature }}</div>
    <div class="info-table-item text-center">{{ humidity }}</div>
    <div class="info-table-item text-center">{{ precipitation }}</div>
  </div>
</template>

<script>
export default {
  name: 'forecasthourentry',

  props: {
    data: {
      type: Object,
      required: true,
    },
  },

  computed: {
    hour: {
      get() {
        return 'hour'
      },
    },

    temperature: {
      get() {
        return 'temperature'
      }
    },

    humidity: {
      get() {
        return 'humidity'
      }
    },

    precipitation: {
      get() {
        return 'precipitation'
      }
    },
  },

  mounted() {
    window.console.log(this.data)
  },
}
</script>
